#!/bin/sh
#Install Latest Stable NyaLCF Release
osCheck=`uname -a`
if [[ $osCheck =~ 'x86_64' ]];then
    architecture="amd64"
elif [[ $osCheck =~ 'arm64' ]] || [[ $osCheck =~ 'aarch64' ]];then
    architecture="arm64"
else
    echo "暂不支持的系统架构，请参阅官方文档，选择受支持的系统。"
    exit 1
fi


sudo apt-key adv --keyserver 'hkp://keyserver.ubuntu.com:80' --recv-key 0xd859a4cade933693
sudo sh -c 'echo "deb [arch=amd64,arm64] https://apt.nyalcf.1l1.icu/public stable main" > /etc/apt/sources.list.d/nyalcf.list'

sudo apt-get update && sudo apt-get install -y libgtk-3-0 nyanana libayatana-appindicator3-1 
